#define _XOPEN_SOURCE 500
#include <stdbool.h>
#include <stdlib.h>
#include <ftw.h>
#include <stdio.h>
#include <util.h>

int remove_file(const char *pathname, const struct stat *sbuf, int type, struct FTW *ftwb) {
    if(remove(pathname) < 0) {
        err("remove");
        return -1;
    }
    return 0;
}

bool rimraf(const char *pathname) {
    if(nftw(pathname, remove_file, 10, FTW_DEPTH | FTW_MOUNT | FTW_PHYS) < 0) {
        err("nftw");
        return false;
    }
    return true;
}